org.jbpm.casemgmt.api.event

## Interface CaseEventListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AsyncCaseInstanceAuditEventProducer, CaseInstanceAuditEventListener, CommentNotificationEventListener, NotifyParentCaseEventListener

      public interface CaseEventListener
      extends EventListener

  Case event listener that is invoked upon various operation related to a case.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `afterCaseCancelled(CaseCancelEvent event)`
    `default void` | `afterCaseClosed(CaseCloseEvent event)`
    `default void` | `afterCaseCommentAdded(CaseCommentEvent event)`
    `default void` | `afterCaseCommentRemoved(CaseCommentEvent event)`
    `default void` | `afterCaseCommentUpdated(CaseCommentEvent event)`
    `default void` | `afterCaseDataAdded(CaseDataEvent event)`
    `default void` | `afterCaseDataRemoved(CaseDataEvent event)`
    `default void` | `afterCaseDestroyed(CaseDestroyEvent event)`
    `default void` | `afterCaseReopen(CaseReopenEvent event)`
    `default void` | `afterCaseRoleAssignmentAdded(CaseRoleAssignmentEvent event)`
    `default void` | `afterCaseRoleAssignmentRemoved(CaseRoleAssignmentEvent event)`
    `default void` | `afterCaseStarted(CaseStartEvent event)`
    `default void` | `afterDynamicProcessAdded(CaseDynamicSubprocessEvent event)`
    `default void` | `afterDynamicTaskAdded(CaseDynamicTaskEvent event)`
    `default void` | `beforeCaseCancelled(CaseCancelEvent event)`
    `default void` | `beforeCaseClosed(CaseCloseEvent event)`
    `default void` | `beforeCaseCommentAdded(CaseCommentEvent event)`
    `default void` | `beforeCaseCommentRemoved(CaseCommentEvent event)`
    `default void` | `beforeCaseCommentUpdated(CaseCommentEvent event)`
    `default void` | `beforeCaseDataAdded(CaseDataEvent event)`
    `default void` | `beforeCaseDataRemoved(CaseDataEvent event)`
    `default void` | `beforeCaseDestroyed(CaseDestroyEvent event)`
    `default void` | `beforeCaseReopen(CaseReopenEvent event)`
    `default void` | `beforeCaseRoleAssignmentAdded(CaseRoleAssignmentEvent event)`
    `default void` | `beforeCaseRoleAssignmentRemoved(CaseRoleAssignmentEvent event)`
    `default void` | `beforeCaseStarted(CaseStartEvent event)`
    `default void` | `beforeDynamicProcessAdded(CaseDynamicSubprocessEvent event)`
    `default void` | `beforeDynamicTaskAdded(CaseDynamicTaskEvent event)`

- - ### Method Detail

    - #### beforeCaseStarted

          default void beforeCaseStarted(CaseStartEvent event)

    - #### afterCaseStarted

          default void afterCaseStarted(CaseStartEvent event)

    - #### beforeCaseClosed

          default void beforeCaseClosed(CaseCloseEvent event)

    - #### afterCaseClosed

          default void afterCaseClosed(CaseCloseEvent event)

    - #### beforeCaseCancelled

          default void beforeCaseCancelled(CaseCancelEvent event)

    - #### afterCaseCancelled

          default void afterCaseCancelled(CaseCancelEvent event)

    - #### beforeCaseDestroyed

          default void beforeCaseDestroyed(CaseDestroyEvent event)

    - #### afterCaseDestroyed

          default void afterCaseDestroyed(CaseDestroyEvent event)

    - #### beforeCaseReopen

          default void beforeCaseReopen(CaseReopenEvent event)

    - #### afterCaseReopen

          default void afterCaseReopen(CaseReopenEvent event)

    - #### beforeCaseCommentAdded

          default void beforeCaseCommentAdded(CaseCommentEvent event)

    - #### afterCaseCommentAdded

          default void afterCaseCommentAdded(CaseCommentEvent event)

    - #### beforeCaseCommentUpdated

          default void beforeCaseCommentUpdated(CaseCommentEvent event)

    - #### afterCaseCommentUpdated

          default void afterCaseCommentUpdated(CaseCommentEvent event)

    - #### beforeCaseCommentRemoved

          default void beforeCaseCommentRemoved(CaseCommentEvent event)

    - #### afterCaseCommentRemoved

          default void afterCaseCommentRemoved(CaseCommentEvent event)

    - #### beforeCaseRoleAssignmentAdded

          default void beforeCaseRoleAssignmentAdded(CaseRoleAssignmentEvent event)

    - #### afterCaseRoleAssignmentAdded

          default void afterCaseRoleAssignmentAdded(CaseRoleAssignmentEvent event)

    - #### beforeCaseRoleAssignmentRemoved

          default void beforeCaseRoleAssignmentRemoved(CaseRoleAssignmentEvent event)

    - #### afterCaseRoleAssignmentRemoved

          default void afterCaseRoleAssignmentRemoved(CaseRoleAssignmentEvent event)

    - #### beforeCaseDataAdded

          default void beforeCaseDataAdded(CaseDataEvent event)

    - #### afterCaseDataAdded

          default void afterCaseDataAdded(CaseDataEvent event)

    - #### beforeCaseDataRemoved

          default void beforeCaseDataRemoved(CaseDataEvent event)

    - #### afterCaseDataRemoved

          default void afterCaseDataRemoved(CaseDataEvent event)

    - #### beforeDynamicTaskAdded

          default void beforeDynamicTaskAdded(CaseDynamicTaskEvent event)

    - #### afterDynamicTaskAdded

          default void afterDynamicTaskAdded(CaseDynamicTaskEvent event)

    - #### beforeDynamicProcessAdded

          default void beforeDynamicProcessAdded(CaseDynamicSubprocessEvent event)

    - #### afterDynamicProcessAdded

          default void afterDynamicProcessAdded(CaseDynamicSubprocessEvent event)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.